value.hpp File Reference

Forward declares `boost::hana::value`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

template<typename T >
constexpr auto | boost::hana::value
| Return the compile-time value associated to a constant. More...
constexpr auto | boost::hana::value_of
| Equivalent to `value`, but can be passed to higher-order algorithms. More...

## Detailed Description

Forward declares `boost::hana::value`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)